Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net.security
Class ClusterEncryptionFilter.DemultiplexingInputStream

`java.lang.Object
java.io.InputStream
com.tangosol.io.WrapperInputStream
com.tangosol.net.security.ClusterEncryptionFilter.DemultiplexingInputStream`

All Implemented Interfaces:
  InputStreaming, java.io.Closeable

Enclosing class:
  ClusterEncryptionFilter

      public class ClusterEncryptionFilter.DemultiplexingInputStream

extends WrapperInputStream

WrapperInputStram which chooses the appropriate wrapper based on the protocol context.

Field Summary
`protected java.io.InputStream` | `m_streamInner` The wrapped stream

Constructor Summary
`ClusterEncryptionFilter.DemultiplexingInputStream(java.io.InputStream stream)` Construct a DemultiplexingInputStream.

Method Summary
`void` | `setProtocolContext(ProtocolContext context)` Set the current protocol context.

Methods inherited from class com.tangosol.io.WrapperInputStream
`available, close, ensureInputStream, getInputStream, mark, markSupported, read, read, read, reset, setInputStream, skip`

Field Detail

### m_streamInner

    protected java.io.InputStream m_streamInner

  The wrapped stream

Constructor Detail

### ClusterEncryptionFilter.DemultiplexingInputStream

    public ClusterEncryptionFilter.DemultiplexingInputStream(java.io.InputStream stream)

  Construct a DemultiplexingInputStream.
  Parameters:
    `stream` - the stream to be wrapped

Method Detail

### setProtocolContext

    public void setProtocolContext(ProtocolContext context)

  Set the current protocol context.
  Parameters:
    `context` - the current context of the protocol

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.